CSUnitTest (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class CSUnitTest

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.DatabaseTestCase
      - - net.sourceforge.jtds.jdbc.CSUnitTest

-     public class CSUnitTest
      extends DatabaseTestCase

  Author:
    Alin Sinpalean, Holger Rehn

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static java.io.PrintStream` | `output`

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSUnitTest(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static java.lang.String` | `longString(char ch)`
    `static void` | `main(java.lang.String[] args)`
    `void` | `testCallStoredProcedures0028()`
    `void` | `testDataTypes0027()`
    `void` | `testDataTypesByResultSetMetaData0030()`
    `void` | `testExceptionByUpdate0033()`
    `void` | `testGetAsciiStream0018()`
    `void` | `testInsertConflict0049()`
    `void` | `testMaxRows0003()`
    `void` | `testMoneyHandling0019()`
    `void` | `testSpHelpSysUsers0032()`
    `void` | `testTextColumns0031()`
    `void` | `testxx0029()`
    `void` | `testxx0050()`
    `void` | `testxx0051()`
    `void` | `testxx0052()`
    `void` | `testxx0053()`
    `void` | `testxx0055()`
    `void` | `testxx0057()`
    `void` | `testxx0059()`
    `void` | `testxx005x()`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.DatabaseTestCase

      `compareBytes, getLongString, getLongString, getType, getTypemap`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### output

          static java.io.PrintStream output

  - ### Constructor Detail

    - #### CSUnitTest

          public CSUnitTest(java.lang.String name)

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

    - #### testMaxRows0003

          public void testMaxRows0003()
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testGetAsciiStream0018

          public void testGetAsciiStream0018()
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testMoneyHandling0019

          public void testMoneyHandling0019()
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testDataTypes0027

          public void testDataTypes0027()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCallStoredProcedures0028

          public void testCallStoredProcedures0028()
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testxx0029

          public void testxx0029()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testDataTypesByResultSetMetaData0030

          public void testDataTypesByResultSetMetaData0030()
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testTextColumns0031

          public void testTextColumns0031()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSpHelpSysUsers0032

          public void testSpHelpSysUsers0032()
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### longString

          static java.lang.String longString(char ch)

    - #### testExceptionByUpdate0033

          public void testExceptionByUpdate0033()
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testInsertConflict0049

          public void testInsertConflict0049()
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testxx0050

          public void testxx0050()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testxx0051

          public void testxx0051()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testxx0055

          public void testxx0055()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testxx0052

          public void testxx0052()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testxx0053

          public void testxx0053()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testxx005x

          public void testxx005x()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testxx0057

          public void testxx0057()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testxx0059

          public void testxx0059()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Generated on June 8 2013